package io.emqx.exhook.MongoDB;

import org.bson.types.ObjectId;
import com.alibaba.fastjson.annotation.JSONField;

/**
 * @Description mongodb实体
 */
public class MongoEntity {
    @JSONField(name="_id")
    protected String id;

    @JSONField(name="dataaepartid")
    protected String dataDepartID;
    @JSONField(name="datauserid")
    protected String datauserid;

    //查询处理部分，封装到bean中一起传递过来
    public int pagesize;// 每页记录数
    public int pageno;// 当前页页码，从1开始

    /**
     * @return the id
     */
    public String getId() {
        return id;
    }

    /**
     * @param id the id to set
     */
    public void setId(String id) {
        this.id = id;
    }

    public String getDataDepartID() {
        return dataDepartID;
    }

    public void setDataDepartID(String dataDepartID) {
        this.dataDepartID = dataDepartID;
    }

    public String getDatauserid() {
        return datauserid;
    }

    public void setDatauserid(String datauserid) {
        this.datauserid = datauserid;
    }

    public int getPagesize() {
        return pagesize;
    }

    public void setPagesize(int pagesize) {
        this.pagesize = pagesize;
    }

    public int getPageno() {
        return pageno;
    }

    public void setPageno(int pageno) {
        this.pageno = pageno;
    }
}